Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2012-5371

Overview

Vulnerability Score 5.0 5.0
CVE Id CVE-2012-5371
Last Modified 07 Mar 2013 11:10:33
Published 28 Nov 2012 08:03:10
Confidentiality Impact NONE NONE
Integrity Impact NONE NONE
Availability Impact PARTIAL PARTIAL
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2012-5371

Summary

Ruby (aka CRuby) 1.9 before 1.9.3-p327 and 2.0 before r37575 computes hash values without properly restricting the ability to trigger hash collisions predictably, which allows context-dependent attackers to cause a denial of service (CPU consumption) via crafted input to an application that maintains a hash table, as demonstrated by a universal multicollision attack against a variant of the MurmurHash2 algorithm, a different vulnerability than CVE-2011-4815.

Vulnerable Systems

Application

  • Ruby-lang Ruby 1.9

  • Ruby-lang Ruby 1.9.1

  • Ruby-lang Ruby 1.9.2

  • Ruby-lang Ruby 1.9.3

  • Ruby-lang Ruby 2.0


References

CONFIRM - https://bugzilla.redhat.com/show_bug.cgi?id=875236

CONFIRM - http://www.ruby-lang.org/en/news/2012/11/09/ruby19-hashdos-cve-2012-5371/

SECTRACK - 1027747

MISC - https://www.131002.net/data/talks/appsec12_slides.pdf

XF - ruby-hash-function-dos(79993)

BID - 56484

OSVDB - 87280

MISC - http://www.ocert.org/advisories/ocert-2012-001.html

SECUNIA - 51253

MISC - http://asfws12.files.wordpress.com/2012/11/asfws2012-jean_philippe_aumasson-martin_bosslet-hash_flooding_dos_reloaded.pdf

MISC - http://2012.appsec-forum.ch/conferences/#c17

UBUNTU - USN-1733-1


Last Updated: 27 May 2016 10:49:52